import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import '@/mixins'
import router from './router'
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'
import "@/assets/style/my-reset.css";

console.log(`version: ${process.env.VUE_APP_VERSION}`)
console.log(`Build time: ${process.env.VUE_APP_UPDATE_TIME}`)

Vue.use(Viewer,{
  defaultOptions: {
    navbar:false,
    button:false,
    maxZoomRatio:2,
    zIndex:99999,
    title: false
  }
})


Vue.config.productionTip = false
Vue.use(ElementUI);

new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
